> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v2/auth/token/refresh ⚠️

> **Deprecated**

This method is deprecated and will be removed in future API versions. Use [`PUT /v3/auth/token`](/api-reference/endpoint/put-v3-auth-token) instead.



## OpenAPI

````yaml POST /v2/auth/token/refresh
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v2/auth/token/refresh:
    post:
      tags:
        - auth
      summary: Get auth token (deprecated)
      description: >-
        **Deprecated**


        This method is deprecated and will be removed in future API versions.
        Use [`PUT /v3/auth/token`](/api-reference/endpoint/put-v3-auth-token)
        instead.
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/AuthRefresh'
          application/json:
            schema:
              $ref: '#/components/schemas/AuthRefresh'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: SUCCESS
                  data:
                    type: object
                    properties:
                      accessToken:
                        type: string
                      refreshToken:
                        type: string
                      wsToken:
                        type: string
        '400':
          $ref: '#/components/responses/BadRequest'
        '429':
          $ref: '#/components/responses/TooManyRequests'
      deprecated: false
      security: []
components:
  schemas:
    AuthRefresh:
      type: object
      properties:
        token:
          type: string
          description: Refresh token
      required:
        - token
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Bad Request
              message:
                type: string
              status:
                type: integer
                example: 400
    TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Too Many Requests
              message:
                type: string
              status:
                type: integer
                example: 429
          examples:
            default:
              value:
                name: Too Many Requests
                message: string
                status: 429
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````